> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get enterprise configuration

> Retrieves the configuration for an enterprise.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml box-openapi-v2025.0.json GET /enterprise_configurations/{enterprise_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 056413ec44
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: >-
      Box Doc Gen automatically generates documents from Box Doc Gen templates.
      These resources represent the generation jobs and batches returned by the
      Box Doc Gen endpoints, including their status and output files.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /enterprise_configurations/{enterprise_id}:
    get:
      summary: Get enterprise configuration
      description: Retrieves the configuration for an enterprise.
      operationId: get_enterprise_configurations_id_v2025.0
      parameters:
        - name: enterprise_id
          in: path
          description: The ID of the enterprise.
          required: true
          schema:
            type: string
          example: '3442311'
        - name: categories
          in: query
          description: >-
            A comma-separated list of the enterprise configuration categories.
            Allowed values: `security`, `content_and_sharing`, `user_settings`,
            `shield`.
          required: true
          schema:
            type: array
            items:
              type: string
          example:
            - security
            - content_and_sharing
            - user_settings
            - shield
          explode: false
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: Returns the enterprise configuration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseConfiguration'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Get enterprise configuration
          source: >-
            curl -i -X GET
            "https://api.box.com/2.0/enterprise_configurations/3442311?categories=security,content_and_sharing"
            \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>"
        - lang: dotnet
          label: Get enterprise configuration
          source: >-
            await
            adminClient.EnterpriseConfigurations.GetEnterpriseConfigurationByIdV2025R0Async(enterpriseId:
            enterpriseId, queryParams: new
            GetEnterpriseConfigurationByIdV2025R0QueryParams(categories:
            Array.AsReadOnly(new []
            {"user_settings","content_and_sharing","security","shield"})));
        - lang: swift
          label: Get enterprise configuration
          source: >-
            try await
            adminClient.enterpriseConfigurations.getEnterpriseConfigurationByIdV2025R0(enterpriseId:
            enterpriseId, queryParams:
            GetEnterpriseConfigurationByIdV2025R0QueryParams(categories:
            ["user_settings", "content_and_sharing", "security", "shield"]))
        - lang: java
          label: Get enterprise configuration
          source: >-
            adminClient.getEnterpriseConfigurations().getEnterpriseConfigurationByIdV2025R0(enterpriseId,
            new
            GetEnterpriseConfigurationByIdV2025R0QueryParams(Arrays.asList("user_settings",
            "content_and_sharing", "security", "shield")))
        - lang: node
          label: Get enterprise configuration
          source: >-
            await
            adminClient.enterpriseConfigurations.getEnterpriseConfigurationByIdV2025R0(
              enterpriseId,
              {
                categories: ['user_settings', 'content_and_sharing', 'security', 'shield'],
              } satisfies GetEnterpriseConfigurationByIdV2025R0QueryParams,
            );
        - lang: python
          label: Get enterprise configuration
          source: >-
            admin_client.enterprise_configurations.get_enterprise_configuration_by_id_v2025_r0(
                enterprise_id, ["user_settings", "content_and_sharing", "security", "shield"]
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    EnterpriseConfiguration:
      description: The enterprise configuration for a given enterprise.
      type: object
      properties:
        id:
          description: >-
            The identifier of the enterprise configuration which is the ID of
            the enterprise.
          type: string
          example: '11446498'
        type:
          description: The value will always be `enterprise_configuration`.
          type: string
          example: enterprise_configuration
          enum:
            - enterprise_configuration
        security:
          allOf:
            - oneOf:
                - $ref: '#/components/schemas/EnterpriseConfigurationSecurity'
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            - description: The enterprise configurations for the security category.
        content_and_sharing:
          allOf:
            - oneOf:
                - $ref: >-
                    #/components/schemas/EnterpriseConfigurationContentAndSharing
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            - description: >-
                The enterprise configurations for the content and sharing
                category.
        user_settings:
          allOf:
            - oneOf:
                - $ref: '#/components/schemas/EnterpriseConfigurationUserSettings'
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            - description: The enterprise configurations for the user settings category.
        shield:
          allOf:
            - oneOf:
                - $ref: '#/components/schemas/EnterpriseConfigurationShield'
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            - description: >-
                The enterprise configurations for the shield category. If shield
                is turned off for given enterprise, the response will be 404.
      title: Enterprise configuration
      x-box-resource-id: enterprise_configuration_v2025.0
      x-box-tag: enterprise_configurations
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    EnterpriseConfigurationSecurity:
      description: The enterprise configuration for the security category.
      type: object
      properties:
        is_managed_user_signup_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Determines if users are allowed to sign up on their own.
        is_managed_user_signup_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Determines if users must sign up with your corporate email.
        is_managed_user_signup_corporate_email_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: When enabled, admin are emailed when new users are added.
        is_new_user_notification_daily_digest_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Depends on `is_managed_user_signup_corporate_email_enabled`. A
                true value represents `In daily summary emails`. A false value
                represents `Immediately`.
        is_managed_user_email_change_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                When enabled, prevents users from changing their primary email
                address.
        is_multi_factor_auth_required:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if multi-factor authentication is required for all
                managed users.
        is_weak_password_prevention_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                When enabled, prevents common words / email address to be used
                in a password.
        is_password_leak_detection_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables exposed password detection.
        last_password_reset_at:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - properties:
                value:
                  description: When an enterprise password reset was last applied.
                  type: string
                  format: date-time
                  example: '2012-12-12T10:53:43-08:00'
                  nullable: true
        is_password_request_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                When enabled, admins are notified when users request a forget
                password email.
        is_password_change_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                When enabled, admins are notified when users change passwords in
                Settings.
        is_strong_password_for_ext_collab_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Requires strong passwords for External Collaborators.
        is_managed_user_migration_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Disables users from being migrated in or out of the enterprise.
        join_link:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                Join url for self sign up. Depends on
                `is_managed_user_signup_enabled`. Applies if `join_url` is not
                used.
        join_url:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                Join url for self sign up. Depends on
                `is_managed_user_signup_enabled`. Applies if `join_link` is not
                used.
        failed_login_attempts_to_trigger_admin_notification:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: >-
                Number of failed login attempts before the primary admin is
                notified.
        password_min_length:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: Minimum number of characters required for passwords.
        password_min_uppercase_characters:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: Minimum number of upper case characters required in passwords.
        password_min_numeric_characters:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: Minimum number of numbers required in passwords.
        password_min_special_characters:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: Minimum number of symbols required in passwords.
        password_reset_frequency:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                Determines if users must reset their passwords every specified
                time period.
        previous_password_reuse_limit:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: Number of previous passwords users are prevented from using.
        session_duration:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                Value indicating time from the last activity a user can remain
                logged in without activity before being logged out.
        external_collab_multi_factor_auth_settings:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: External Collaborators multi-factor authentication settings.
            - properties:
                value:
                  allOf:
                    - oneOf:
                        - $ref: '#/components/schemas/ExternalCollabSecuritySettings'
                        - title: OpenAPI 3.0 null schema type
                          description: >-
                            The definition for a null schema type in OpenAPI
                            `3.0`.
                          type: object
                          nullable: true
                          additionalProperties: false
                    - description: External collab security settings.
        keysafe:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - properties:
                value:
                  allOf:
                    - oneOf:
                        - $ref: '#/components/schemas/KeysafeSettings'
                        - title: OpenAPI 3.0 null schema type
                          description: >-
                            The definition for a null schema type in OpenAPI
                            `3.0`.
                          type: object
                          nullable: true
                          additionalProperties: false
                    - description: Keysafe settings.
        is_custom_session_duration_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables custom session duration for select users.
        custom_session_duration_value:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                Value indicating duration users from specified groups can remain
                logged in without activity before being logged out.
        custom_session_duration_groups:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: Groups for custom session duration.
            - properties:
                value:
                  type: array
                  items:
                    $ref: '#/components/schemas/CustomSessionDurationGroupItem'
        multi_factor_auth_type:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                Managed Users multi-factor authentication requirement method
                type.
        enforced_mfa_frequency:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: >-
                Managed Users multi-factor authentication frequency. The default
                authentication frequency is set to 30 days, with authentication
                time calculated from the most recent successful MFA login.
            - properties:
                value:
                  type: object
                  properties:
                    days:
                      type: integer
                      nullable: true
                      description: >-
                        Number of days before the user is required to
                        authenticate again.
                      example: 30
                    hours:
                      type: integer
                      nullable: true
                      description: >-
                        Number of hours before the user is required to
                        authenticate again.
                      example: 24
      title: Enterprise configuration security
      x-box-resource-id: enterprise_configuration_security_v2025.0
      x-box-tag: enterprise_configurations
    EnterpriseConfigurationContentAndSharing:
      description: The enterprise configuration for the content and sharing category.
      type: object
      properties:
        enterprise_feature_settings:
          type: array
          items:
            $ref: '#/components/schemas/EnterpriseFeatureSettingsItem'
        sharing_item_type:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                The selected option for the type of items that sharing is enable
                for.
        shared_link_company_definition:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                The definition of the company for shared links (such as
                `enterprise_id`, `users_with_email_domain`).
        shared_link_access:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: The selected option for who has access to shared links.
        shared_link_default_access:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: The selected option for the access level of shared links.
        shared_link_default_permissions_selected:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: The permissions selected for shared links for each type.
            - properties:
                value:
                  $ref: '#/components/schemas/SharedLinkPermissions'
        is_open_custom_urls_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Disables custom shared link URLs for public access.
        is_custom_domain_hidden_in_shared_link:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Hides the custom domain in shared links.
        collaboration_permissions:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - properties:
                value:
                  $ref: '#/components/schemas/CollaborationPermissions'
        default_collaboration_role:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: The current default collaboration role.
        is_invite_privilege_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Restrict invites to only admin, folder owners, and co-owners.
        collaboration_restrictions:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: The collaboration restrictions for the enterprise.
            - properties:
                value:
                  type: array
                  items:
                    type: string
                    description: >-
                      The collaboration restriction. Possible values:
                      `internal`, `external`.
                    example: internal
                  example:
                    - internal
        is_collaborator_invite_links_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Disables users to invite collaborators using invite links.
        is_invite_group_collaborator_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Disables users to invite group collaborators.
        is_ownership_transfer_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Prevents ownership transfer to external users.
        external_collaboration_status:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: >-
                The external collaboration status. Possible values:
                `enable_external_collaboration`,
                `limit_collaboration_to_allowlisted_domains`,
                `limit_collaboration_to_users_within_enterprise`.
            - properties:
                value:
                  description: The external collaboration status.
                  type: string
                  example: enable_external_collaboration
                  nullable: true
        external_collaboration_allowlist_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: The external collaboration allowlist users.
            - properties:
                value:
                  type: array
                  items:
                    $ref: '#/components/schemas/ListUser'
        is_watermarking_enterprise_feature_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables watermarking enterprise feature.
        is_root_content_creation_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Only admins can create and delete first-level folders, files,
                and bookmarks.
        is_tag_creation_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Only selected users can create tags.
        tag_creation_restriction:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: The selected option for tag creation restriction.
        is_email_uploads_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables email uploads.
        is_custom_settings_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables custom settings.
        is_forms_login_required:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Require uploaders to log in with a Box account for Forms.
        is_forms_branding_default_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Company brand color and logo defaults to Logo for use on Brand
                Color for Forms.
        is_cc_free_trial_active:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Indicates if the enterprise is on a free trial.
        is_file_request_editors_allowed:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Indicates if editors are allowed for file requests feature.
        is_file_request_branding_default_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Company brand color and logo defaults to Logo for use on Brand
                Color for File Requests.
        is_file_request_login_required:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Require uploaders to log in with a Box account for File
                Requests.
        is_shared_links_expiration_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables shared links expiration.
        shared_links_expiration_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: The expiration time for shared links.
        is_public_shared_links_expiration_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables public shared links expiration.
        public_shared_links_expiration_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: The expiration time for public shared links.
        shared_expiration_target:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                The selected option of types for applying shared link
                expiration.
        is_shared_links_expiration_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables shared links expiration notification.
        shared_links_expiration_notification_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: The number of days before expiration to notify users.
        is_shared_links_expiration_notification_prevented:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Prevents users from disabling shared links expiration
                notification.
        is_auto_delete_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables auto delete.
        auto_delete_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: The number of days before auto delete.
        is_auto_delete_expiration_modification_prevented:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Prevents users from modifying auto delete expiration.
        auto_delete_target:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: The selected option of types for applying auto delete.
        is_collaboration_expiration_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables collaboration expiration.
        collaboration_expiration_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: The number of days before collaboration expiration.
        is_collaboration_expiration_modification_prevented:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Prevents users from modifying collaboration expiration.
        is_collaboration_expiration_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enables collaboration expiration notification.
        collaboration_expiration_target:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                The selected option of types for applying collaboration
                expiration.
        trash_auto_clear_time:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: >-
                The time before items are permanently deleted from the trash in
                seconds.
        permanent_deletion_access:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: The selected option for who can delete items from the trash.
        permanent_deletion_allowlist_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: >-
                The allowlist users for permanently deleting items from the
                trash.
            - properties:
                value:
                  type: array
                  items:
                    $ref: '#/components/schemas/ListUser'
      title: Enterprise configuration content and sharing
      x-box-resource-id: enterprise_configuration_content_and_sharing_v2025.0
      x-box-tag: enterprise_configurations
    EnterpriseConfigurationUserSettings:
      description: The enterprise configuration for the user settings category.
      type: object
      properties:
        enterprise_feature_settings:
          type: array
          items:
            $ref: '#/components/schemas/EnterpriseFeatureSettingsItem'
        user_invites_expiration_time_frame:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                Determines the time frame for any unaccepted invitation to your
                Box enterprise account to expire.
            - example:
                is_used: true
                value: 7 days
        is_username_change_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if users are restricted from changing their username
                in Account Settings.
        is_box_sync_restricted_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Determines if Box Sync is restricted for new users.
        is_view_all_users_enabled_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if new users can see all managed users in their
                contacts when inviting collaborators.
        is_device_limit_exemption_enabled_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if new users are exempt from the maximum number of
                devices specified in the Device Protection settings.
        is_external_collaboration_restricted_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if new users will not be allowed to create folders
                that can have external collaborators.
        is_unlimited_storage_enabled_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Determines if new users are given unlimited storage.
        new_user_default_storage_limit:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: >-
                Determines the default storage limit for new users. Does not
                apply if `is_unlimited_storage_enabled_for_new_users` is true.
        new_user_default_timezone:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: Determines the default timezone for new users.
            - example:
                is_used: true
                value: GMT-05:00 America\/Chicago CDT
        new_user_default_language:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: Determines the default language for new users.
            - example:
                is_used: true
                value: English (US)
        is_enterprise_sso_required:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Value indicating if SSO is required for all users.
        is_enterprise_sso_in_testing:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Value indicating if SSO is in testing mode for all users.
        is_sso_auto_add_groups_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if any new groups received for a user upon login
                through SSO but not present in the enterprise will be auto added
                to the enterprise.
        is_sso_auto_add_user_to_groups_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if a user will be added to enterprise groups received
                upon user login through SSO.
        is_sso_auto_remove_user_from_groups_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if a user will be removed from enterprise groups upon
                user login through SSO.
        user_tracking_codes:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: >-
                Properties that are assigned as additional values to users, like
                employee ID or region.
            - properties:
                value:
                  type: array
                  items:
                    $ref: '#/components/schemas/UserTrackingCode'
        number_of_user_tracking_codes_remaining:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: >-
                The remaining number of `user_tracking_codes` that can be
                created.
        is_instant_login_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                Determines if users are restricted from granting (limited)
                access for Box Support for troubleshooting.
      title: Enterprise configuration user settings
      x-box-resource-id: enterprise_configuration_user_settings_v2025.0
      x-box-tag: enterprise_configurations
    EnterpriseConfigurationShield:
      description: The enterprise configuration for the shield category.
      type: object
      properties:
        shield_rules:
          description: The shield rules configuration for the enterprise.
          type: array
          items:
            $ref: '#/components/schemas/ShieldRuleItem'
      title: Enterprise configuration shield
      x-box-resource-id: enterprise_configuration_shield_v2025.0
      x-box-tag: enterprise_configurations
    EnterpriseConfigurationItemBoolean:
      description: An enterprise configuration item with a boolean type value.
      type: object
      allOf:
        - $ref: '#/components/schemas/EnterpriseConfigurationItem'
        - properties:
            value:
              description: The value of the enterprise configuration as a boolean.
              type: boolean
              example: true
              nullable: true
      title: Enterprise configuration item with boolean value
    EnterpriseConfigurationItem:
      description: >-
        The basic data included in each enterprise configuration response
        object.
      type: object
      properties:
        is_used:
          description: Indicates whether a configuration is used for a given enterprise.
          type: boolean
          example: true
      title: Enterprise configuration item
    EnterpriseConfigurationItemString:
      description: An enterprise configuration item with a string type value.
      type: object
      allOf:
        - $ref: '#/components/schemas/EnterpriseConfigurationItem'
        - properties:
            value:
              description: The value of the enterprise configuration as a string.
              type: string
              example: value of configuration
              nullable: true
      title: Enterprise configuration item with string value
    EnterpriseConfigurationItemInteger:
      description: An enterprise configuration item with a integer type value.
      type: object
      allOf:
        - $ref: '#/components/schemas/EnterpriseConfigurationItem'
        - properties:
            value:
              description: The value of the enterprise configuration as an integer.
              type: integer
              example: 1234
              nullable: true
      title: Enterprise configuration item with integer value
    ExternalCollabSecuritySettings:
      description: External collaboration security settings.
      type: object
      properties:
        denylist_domains:
          description: >-
            List of domains that are not allowed for external collaboration.
            Applies if state is `denylist`.
          type: array
          items:
            type: string
            example: example.com
          example:
            - example.com
        denylist_emails:
          description: >-
            List of email addresses that are not allowed for external
            collaboration. Applies if state is `denylist`.
          type: array
          items:
            type: string
            example: spam@example.com
          example:
            - spam@example.com
        allowlist_domains:
          description: >-
            List of domains that are allowed for external collaboration. Applies
            if state is `allowlist`.
          type: array
          items:
            type: string
            example: example.com
          example:
            - example.com
        allowlist_emails:
          description: >-
            List of email addresses that are allowed for external collaboration.
            Applies if state is `allowlist`.
          type: array
          items:
            type: string
            example: mail@example.com
          example:
            - mail@example.com
        state:
          description: >-
            The state of the external collaboration security settings. Possible
            values include `enabled`, `disabled`, `allowlist`, and `denylist`.
          type: string
          example: enabled
          nullable: true
        scheduled_status:
          description: >-
            The status of the scheduling to apply external collaboration
            security settings. Possible values include `in_progress`,
            `scheduled`, `completed`, `failed`, and `scheduled_immediate`.
          type: string
          example: inprogress
          nullable: true
        scheduled_at:
          description: Scheduled at.
          type: string
          format: date-time
          example: '2012-12-12T10:53:43-08:00'
          nullable: true
        factor_type_settings:
          description: >-
            Factor type for the external collaborators authentication. Possible
            values include `totp`, `any`, or `unknown`.
          type: string
          example: totp
          nullable: true
      title: External collab security settings
    KeysafeSettings:
      description: The KeySafe settings.
      type: object
      properties:
        keysafe_enabled:
          description: Whether KeySafe addon is enabled for the enterprise.
          type: boolean
          example: true
        cloud_provider:
          description: The cloud provider.
          type: string
          example: ''
          nullable: true
        key_id:
          description: The key ID.
          type: string
          example: '1234'
          nullable: true
        account_id:
          description: The account ID.
          type: string
          example: '1234'
          nullable: true
        location_id:
          description: The location ID.
          type: string
          example: '1234'
          nullable: true
        project_id:
          description: The project ID.
          type: string
          example: '1234'
          nullable: true
        keyring_id:
          description: The key ring ID.
          type: string
          example: '1234'
          nullable: true
      title: KeySafe settings
    CustomSessionDurationGroupItem:
      description: A custom session duration group item.
      type: object
      properties:
        id:
          description: Group ID (numerical).
          type: string
          example: '1234'
        name:
          description: Group Name.
          type: string
          example: Group Name
      title: Custom session duration group item
    EnterpriseFeatureSettingsItem:
      description: An enterprise feature settings item.
      type: object
      allOf:
        - $ref: '#/components/schemas/EnterpriseConfigurationItem'
        - description: The enterprise feature settings.
        - properties:
            value:
              $ref: '#/components/schemas/EnterpriseFeatureSetting'
      title: Enterprise feature settings item
    SharedLinkPermissions:
      description: The shared link permissions for the enterprise.
      type: object
      properties:
        shared_links_option:
          description: The selected option for shared links permissions.
          type: string
          example: settings_shared_link_preview
          nullable: true
        default_shared_link_type:
          description: The default shared link type.
          type: string
          example: settings_default_shared_link_preview
          nullable: true
        notes_shared_link_option:
          description: The selected option for notes shared links permissions.
          type: string
          example: settings_notes_option_to_edit
          nullable: true
        default_notes_shared_link_type:
          description: The default notes shared link type.
          type: string
          example: settings_default_notes_shared_link_to_edit
          nullable: true
      title: Shared link permissions
    CollaborationPermissions:
      description: The collaboration permissions.
      type: object
      properties:
        is_co_owner_role_enabled:
          description: The co-owner role is enabled for collaboration.
          type: boolean
          example: true
        is_editor_role_enabled:
          description: The editor role is enabled for collaboration.
          type: boolean
          example: true
        is_previewer_role_enabled:
          description: The previewer role is enabled for collaboration.
          type: boolean
          example: true
        is_previewer_uploader_role_enabled:
          description: The previewer uploader role is enabled for collaboration.
          type: boolean
          example: true
        is_uploader_role_enabled:
          description: The uploader role is enabled for collaboration.
          type: boolean
          example: true
        is_viewer_role_enabled:
          description: The viewer role is enabled for collaboration.
          type: boolean
          example: true
        is_viewer_uploader_role_enabled:
          description: The viewer uploader role is enabled for collaboration.
          type: boolean
          example: true
      title: Collaboration permissions
    ListUser:
      description: A user in allowlist or denylist.
      type: object
      properties:
        id:
          description: The ID of the user.
          type: integer
          example: 1234
          nullable: true
        name:
          description: The name of the user.
          type: string
          example: John Doe
          nullable: true
        email:
          description: The email of the user.
          type: string
          example: johndoe@box.com
          nullable: true
      title: List user
    UserTrackingCode:
      description: A user tracking code.
      type: object
      properties:
        id:
          description: The ID of the user tracking code.
          type: integer
          format: int64
          example: 1234
          nullable: true
        name:
          description: The name of the user tracking code.
          type: string
          example: Employee ID
          nullable: true
      title: User tracking code
    ShieldRuleItem:
      description: A Shield rule item.
      type: object
      properties:
        id:
          description: The identifier of the shield rule.
          type: string
          example: '1234567890'
        type:
          description: The value will always be `shield_rule`.
          type: string
          example: shield_rule
          enum:
            - shield_rule
        rule_category:
          description: The category of the shield rule.
          type: string
          example: Malicious Content
        name:
          description: The name of the shield rule.
          type: string
          example: Block malicious files
        description:
          description: The description of the shield rule.
          type: string
          example: Blocks files identified as malicious content
        priority:
          description: The priority level of the shield rule.
          type: string
          example: high
          enum:
            - informational
            - low
            - medium
            - high
            - critical
        created_at:
          description: The date and time when the shield rule was created.
          type: string
          format: date-time
          example: '2012-12-12T10:53:43-08:00'
        modified_at:
          description: The date and time when the shield rule was last modified.
          type: string
          format: date-time
          example: '2012-12-12T10:53:43-08:00'
      title: Shield rule item
    EnterpriseFeatureSetting:
      description: An enterprise feature setting.
      type: object
      properties:
        id:
          description: The identifier of the enterprise feature setting.
          type: string
          example: eyJlbnRlcnByaXNlSWQiOiIxMTExNDQyNzY3IiwiZmVhdHVyZUlkIjoiY2FudmFzIn0=
          nullable: true
        feature:
          description: The feature.
          type: object
          properties:
            id:
              description: The identifier of the feature.
              type: string
              example: canvas
              nullable: true
        state:
          description: The state of the feature.
          type: string
          example: enabled
          nullable: true
        can_configure:
          description: Whether the feature can be configured.
          type: boolean
          example: true
          nullable: true
        is_configured:
          description: Whether the feature is configured.
          type: boolean
          example: true
          nullable: true
        allowlist:
          description: >-
            Enterprise feature setting is enabled for only this set of users and
            groups.
          type: array
          items:
            $ref: '#/components/schemas/UserOrGroupReference'
          nullable: true
        denylist:
          description: >-
            Enterprise feature setting is enabled for everyone except this set
            of users and groups.
          type: array
          items:
            $ref: '#/components/schemas/UserOrGroupReference'
          nullable: true
      title: Enterprise feature setting
    UserOrGroupReference:
      description: A reference to a user or group.
      type: object
      properties:
        type:
          description: The type `user` or `group`.
          type: string
          example: user
          enum:
            - user
            - group
        id:
          description: The identifier of the user or group.
          type: string
          example: '12345'
      title: User or Group Reference
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````